Bug 64307 - openssh X forwarding does not reset $DISPLAY when a remote client logs on
Summary: openssh X forwarding does not reset $DISPLAY when a remote client logs on
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i586 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-02 00:24 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 13:01:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-02 00:24:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (WinNT; U)

Description of problem:
When a remote SSH client logs into the host, the DISPLAY variable should be set to  
client_ip_address:display.0

where display is some number greater than 10.
 client_ip_address is not properly set.  Instead, $DISPLAY is set to
 localhost:display.0
where localhost is the word "localhost".



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. set ssh on the client to display remote X applications on local server
2. connect to server using ssh
3. echo $DISPLAY
	

Actual Results:  localhost:14.0

(14 may be some other number)

Expected Results:  123.45.6.7:14.0

where 123.45.6.7 is the ip address of the remote machine
and 14 is the "display"

Additional info:

This is relvant if the remote machine is tunneling to the linux server, e.g. through some NAT. 

A simple work-around is to let the .cshrc replace localhost with the correct ip address, but this should not be necessary.

Comment 1 Tomas Mraz 2005-02-03 13:01:10 UTC
I don't understand why it should be a problem? The localhost on the
remote machine is the remote machine and the forwarding to the X
server is done through the ssh encrypted connection.



Note You need to log in before you can comment on or make changes to this bug.